## libmsv 0.0.0

=== debian/changelog ===
libmsv (0.0.0-1build1) precise; urgency=low

  * No-change rebuild against current pkgbinarymangler to fix broken
    md5sums. (see LP #875466)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 29 Feb 2012 08:42:14 +0100

libmsv (0.0.0-1) unstable; urgency=low

  * Initial release.

 -- Clint Adams <clint@debian.org>  Tue, 03 May 2011 15:40:22 -0400
