=== debian/control ===
Source: libmsv
Priority: optional
Maintainer: Clint Adams <clint@debian.org>
Build-Depends: libcurl4-gnutls-dev, libjansson-dev
Standards-Version: 3.9.2
Section: libs
Homepage: http://floss.scru.org/libmsv/

Package: libmsv-dev
Section: libdevel
Architecture: any
Depends: libmsv0 (= ${binary:Version})
Description: Monkeysphere validation library (development files)
 libmsv provides a C API to the Monkeysphere Validation Agent
 using the Validation Agent Protocol
 .
 This package contains the development header and library.

Package: libmsv0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Monkeysphere validation library
 libmsv provides a C API to the Monkeysphere Validation Agent
 using the Validation Agent Protocol
