## libmsv 1.0

=== debian/changelog ===
libmsv (1.0-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sun, 03 Feb 2013 13:53:24 -0500

libmsv (0.1-2) unstable; urgency=low

  [ Daniel Kahn Gillmor ]
  * added documentation to libmsv-dev

  [ Clint Adams ]
  * Honor nostrip.
  * Add Vcs-* headers.

 -- Clint Adams <clint@debian.org>  Sat, 02 Feb 2013 09:07:06 -0500

libmsv (0.1-1) unstable; urgency=low

  * New upstream version.
    - Properly encodes JSON request.  closes: #699497
    - Fixes memory leaks.  closes: #699500
    - Uses (const char *) in new API.  closes: #699506
  * Use dpkg-buildflags.
  * Add build-arch and build-indep targets.

 -- Clint Adams <clint@debian.org>  Fri, 01 Feb 2013 22:40:17 -0500
