=== debian/control ===
Source: libmsv
Priority: optional
Maintainer: Clint Adams <clint@debian.org>
Build-Depends: libcurl4-gnutls-dev, libjansson-dev, doxygen
Standards-Version: 3.9.4
Section: libs
Homepage: http://floss.scru.org/libmsv/
Vcs-Git: git://anonscm.debian.org/users/clint/libmsv.git -b debian
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/clint/libmsv.git;a=shortlog;h=refs/heads/debian

Package: libmsv-dev
Section: libdevel
Architecture: any
Depends: libmsv1 (= ${binary:Version})
Suggests: libjs-jquery
Description: Monkeysphere validation library (development files)
 libmsv provides a C API to the Monkeysphere Validation Agent
 using the Validation Agent Protocol
 .
 This package contains the development header and library.

Package: libmsv1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Monkeysphere validation library
 libmsv provides a C API to the Monkeysphere Validation Agent
 using the Validation Agent Protocol
