=== debian/watch ===
version=3
http://floss.scru.org/libmsv/tarballs/libmsv-(.+)\.tar\.gz
