## libmsv 1.1

=== debian/changelog ===
libmsv (1.1-3) unstable; urgency=medium

  * Patch from Reiner Herrmann to improve build reproducibility.
    closes: #842548.

 -- Clint Adams <clint@debian.org>  Sun, 30 Oct 2016 08:55:19 -0400

libmsv (1.1-2) unstable; urgency=medium

  [ Maria Valentina Marin ]
  * Fix mtimes before building binary packages to produce reproducible
    output.  closes: #792975.

 -- Clint Adams <clint@debian.org>  Mon, 27 Jun 2016 00:38:00 +0200

libmsv (1.1-1) unstable; urgency=medium

  * New upstream version.
  * Switch curl build-dep to libcurl4-nss-dev to avoid gnutls clash,
    since we are not using TLS anyway.

 -- Clint Adams <clint@debian.org>  Fri, 14 Mar 2014 13:19:18 -0400
