=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: libmsv
 Priority: optional
 Maintainer: Clint Adams <clint@debian.org>
-Build-Depends: libcurl4-gnutls-dev, libjansson-dev, doxygen
-Standards-Version: 3.9.4
+Build-Depends: doxygen, libcurl4-nss-dev, libjansson-dev
+Standards-Version: 3.9.8
 Section: libs
 Homepage: http://floss.scru.org/libmsv/
 Vcs-Git: git://anonscm.debian.org/users/clint/libmsv.git -b debian
@@ -22,7 +22,7 @@
 Package: libmsv1
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Monkeysphere validation library
  libmsv provides a C API to the Monkeysphere Validation Agent
  using the Validation Agent Protocol
