## libmsv 1.1.1

=== debian/changelog ===
libmsv (1.1.1-4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:18:11 +0000

libmsv (1.1.1-4build1) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:04:39 +0000

libmsv (1.1.1-4) unstable; urgency=medium

  * Switch from libcurl4-nss-dev to libcurl4-gnutls-dev.  closes: #1038913.

 -- Clint Adams <clint@debian.org>  Thu, 10 Aug 2023 12:23:39 -0400

libmsv (1.1.1-3) unstable; urgency=medium

  * Patch from Helmut Grohne to fix cross-building.  closes: #923150.

 -- Clint Adams <clint@debian.org>  Tue, 26 Feb 2019 19:07:49 -0500

libmsv (1.1.1-2) unstable; urgency=medium

  * Build-depend on file.  closes: #889521

 -- Clint Adams <clint@debian.org>  Sun, 04 Feb 2018 09:27:07 -0500

libmsv (1.1.1-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sat, 03 Feb 2018 15:19:49 -0500

libmsv (1.1-5) unstable; urgency=medium

  * Fix rootless build and other lintian warnings.

 -- Clint Adams <clint@debian.org>  Sat, 03 Feb 2018 15:04:15 -0500

libmsv (1.1-4) unstable; urgency=medium

  * Rules-Requires-Root: no

 -- Clint Adams <clint@debian.org>  Fri, 10 Nov 2017 23:20:54 -0500
