=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: libmsv
 Priority: optional
-Maintainer: Clint Adams <clint@debian.org>
-Build-Depends: doxygen, libcurl4-nss-dev, libjansson-dev
-Standards-Version: 3.9.8
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Clint Adams <clint@debian.org>
+Build-Depends: doxygen, libcurl4-gnutls-dev, libjansson-dev, dpkg (>= 1.19.0.3~), file
+Standards-Version: 4.6.2
 Section: libs
 Homepage: http://floss.scru.org/libmsv/
-Vcs-Git: git://anonscm.debian.org/users/clint/libmsv.git -b debian
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/clint/libmsv.git;a=shortlog;h=refs/heads/debian
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/clint/libmsv.git -b debian
+Vcs-Browser: https://salsa.debian.org/clint/libmsv/tree/debian
 
 Package: libmsv-dev
 Section: libdevel
