=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,13 @@
 #!/usr/bin/make -f
 
 INSTALL = install
-INSTALL_FILE    = $(INSTALL) -p    -o root -g root  -m  644
-INSTALL_PROGRAM = $(INSTALL) -p    -o root -g root  -m  755
-INSTALL_SCRIPT  = $(INSTALL) -p    -o root -g root  -m  755
-INSTALL_DIR     = $(INSTALL) -p -d -o root -g root  -m  755
+INSTALL_FILE    = $(INSTALL) -p    -m  644
+INSTALL_PROGRAM = $(INSTALL) -p    -m  755
+INSTALL_SCRIPT  = $(INSTALL) -p    -m  755
+INSTALL_DIR     = $(INSTALL) -p -d -m  755
 
-DEB_BUILD_ARCH_OS ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
-DEB_BUILD_GNU_TYPE = $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_GNU_TYPE = $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+include /usr/share/dpkg/architecture.mk
+
 BUILD_DATE := $(shell dpkg-parsechangelog --show-field Date)
 
 STRIP=strip
@@ -29,7 +28,7 @@
 build-indep: build-arch
 build-arch: stamp-build
 stamp-build: configure
-	./configure --prefix=/usr CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
+	./configure $(CONFARGS) --prefix=/usr CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
 	$(MAKE)
 	doxygen libmsvdox.cfg
 	touch $@
@@ -40,9 +39,9 @@
 	rm -rf html man latex
 
 binary: binary-arch
-binary-indep: checkroot
+binary-indep:
 
-binary-arch: checkroot
+binary-arch: build-arch
 	$(INSTALL_DIR) debian/$(package)/usr/share/doc/$(package) \
 		debian/$(devpkg)/usr/share/doc/$(devpkg)/html/search \
 		debian/$(devpkg)/usr/share/man/man3 \
@@ -72,38 +71,32 @@
 	gzip -9fn debian/$(devpkg)/usr/share/doc/$(devpkg)/changelog.Debian
 
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-	strip debian/$(package)/usr/lib/*.so.*
+	$(STRIP) debian/$(package)/usr/lib/*.so.*
 endif
 	$(INSTALL_SCRIPT) debian/$(package).postinst debian/$(package)/DEBIAN/postinst
 	cd debian/$(package) && find * -type f ! -regex '^DEBIAN/.*' -print0 | LC_ALL=C sort -z | xargs -r0 md5sum > DEBIAN/md5sums
 	echo 'libmsv 1 $(package)' >debian/$(package)/DEBIAN/shlibs
 	dpkg-shlibdeps -Tdebian/$(package).substvars -dDepends debian/$(package)/usr/lib/*.so.*
 	dpkg-gencontrol -ldebian/changelog -isp -p$(package) -Tdebian/$(package).substvars -Pdebian/$(package)
-	chown -R root:root debian/$(package)
 	chmod -R go=rX debian/$(package)
 	find debian/$(package) -newermt '$(BUILD_DATE)' -print0 | \
 		xargs -0r touch --no-dereference --date='$(BUILD_DATE)'
-	dpkg --build debian/$(package) ..
+	dpkg-deb --root-owner-group --build debian/$(package) ..
 
 	cd debian/$(devpkg) && find * -type f ! -regex '^DEBIAN/.*' -print0 | LC_ALL=C sort -z | xargs -r0 md5sum > DEBIAN/md5sums
 	dpkg-gencontrol -ldebian/changelog -isp -p$(devpkg) -Tdebian/$(devpkg).substvars -Pdebian/$(devpkg)
-	chown -R root:root debian/$(devpkg)
 	chmod -R go=rX debian/$(devpkg)
 	find debian/$(devpkg) -newermt '$(BUILD_DATE)' -print0 | \
 		xargs -0r touch --no-dereference --date='$(BUILD_DATE)'
-	dpkg --build debian/$(devpkg) ..
+	dpkg-deb --root-owner-group --build debian/$(devpkg) ..
 
 
 define checkdir
 	test -f debian/rules
 endef
 
-checkroot:
-	$(checkdir)
-	test root = "`whoami`"
-
 prebuild:
 	autoreconf -fi
 	$(RM) -rf autom4te.cache
 
-.PHONY: binary binary-arch binary-indep build build-arch build-indep clean checkroot prebuild
+.PHONY: binary binary-arch binary-indep build build-arch build-indep clean prebuild
